eAccelerator problem

Problems with the Linux version of XAMPP, questions, comments, and anything related.

eAccelerator problem

Postby evgdavidov » 28. March 2006 19:59

Hi!


I ran into a problem when enabled eAccelerator

I am running on Linux Red hat

When I added:

;extension="eaccelerator.so"
;eaccelerator.shm_size="16"
;eaccelerator.cache_dir="/opt/lampp/tmp/eaccelerator"
;eaccelerator.enable="1"
;eaccelerator.optimizer="1"
;eaccelerator.check_mtime="1"
;eaccelerator.debug="0"
;eaccelerator.filter=""
;eaccelerator.shm_max="0"
;eaccelerator.shm_ttl="0"
;eaccelerator.shm_prune_period="0"
;eaccelerator.shm_only="0"
;eaccelerator.compress="1"
;eaccelerator.compress_level="9"


I’ve got an error that there is no file; opt/lampp/lib/php/extensions/no-debug-non-zts-20050922/eaccelerator.so

When I found eaccelerator.so in other location and moved it to opt/lampp/lib/php/extensions/no-debug-non-zts-20050922

I am getting this error:

Starting XAMPP for Linux 1.5.1...
PHP Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20050922/eaccelerator.so' - /opt/lampp/lib/php/extensions/no-debug-non-zts-20050922/eaccelerator.so: undefined symbol: OnUpdateInt in Unknown on line 0
XAMPP: Starting Apache with SSL (and PHP5)...
XAMPP: Starting MySQL...
XAMPP: Starting ProFTPD...
XAMPP for Linux started.


Is there any solution for this?

Thx a lot!

Eugene
evgdavidov
 
Posts: 1
Joined: 28. March 2006 19:52

Postby LazyOne » 28. March 2006 21:21

switch to php4 or compile a new snapshot from snapshots.eaccelerator.net with php 5.
LazyOne
 
Posts: 141
Joined: 12. May 2005 12:12
Location: München

Postby Killerfrog » 28. March 2006 23:28

Killerfrog
 
Posts: 75
Joined: 18. December 2004 21:16

Postby ph4nt0m » 02. April 2006 12:18

LazyOne wrote:switch to php4 or compile a new snapshot from snapshots.eaccelerator.net with php 5.


Hi LazyOne, the eaccelerator compile options specify executing a ./configure - however there is NO configure script. How can you configure it?
ph4nt0m
 
Posts: 2
Joined: 02. April 2006 12:00

Postby Killerfrog » 02. April 2006 17:24

ph4nt0m wrote:
LazyOne wrote:switch to php4 or compile a new snapshot from snapshots.eaccelerator.net with php 5.


Hi LazyOne, the eaccelerator compile options specify executing a ./configure - however there is NO configure script. How can you configure it?


My last post, point to download on my server for a compiled .dll supporting php 5
Killerfrog
 
Posts: 75
Joined: 18. December 2004 21:16

Postby ph4nt0m » 02. April 2006 22:45

Killerfrog wrote:
ph4nt0m wrote:
LazyOne wrote:switch to php4 or compile a new snapshot from snapshots.eaccelerator.net with php 5.


Hi LazyOne, the eaccelerator compile options specify executing a ./configure - however there is NO configure script. How can you configure it?


My last post, point to download on my server for a compiled .dll supporting php 5


Hello Killerfrog
Thanks, but I am running Linux, not Windows. I can't use that .dll can I?
ph4nt0m
 
Posts: 2
Joined: 02. April 2006 12:00

Postby Killerfrog » 02. April 2006 23:41

err, sorry I tought it was on Windows ! (did not check the title of the forum !)
Killerfrog
 
Posts: 75
Joined: 18. December 2004 21:16


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 3 guests